=== emulate/support/src/nrgarp/Makefile ===
#	@(#)Makefile	8.2 (Berkeley) 4/18/94

PROG=	nrgarp
MAN8=	nrgarp.8
COPTS+=	-Wall -g

.include <bsd.prog.mk>
