## ns2 2.35~RC5

=== debian/changelog ===
ns2 (2.35~RC5-1) unstable; urgency=low

  * new upstream version 
  * modify descript (Closes: #584642)
  * add suggestion of ns2 in ns2-examples
  * add doc-base

 -- YunQiang Su <wzssyqa@gmail.com>  Wed, 30 Jun 2010 14:33:57 +0800

ns2 (2.35~RC4-1) unstable; urgency=low

  * New upstream version

 -- YunQiang Su <wzssyqa@gmail.com>  Wed, 02 Jun 2010 08:52:57 +0800

ns2 (2.35~RC3-1) unstable; urgency=low

  * Initial release (Closes: #576241)

 -- YunQiang Su <wzssyqa@gmail.com>  Fri, 02 Apr 2010 08:52:57 +0800
