=== debian/control ===
Source: ns2
Section: net
Priority: optional
Maintainer: YunQiang Su <wzssyqa@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), quilt (>= 0.46-7~), autotools-dev, tcl8.4-dev, tk8.4-dev, libxext-dev, libotcl1-dev, tclcl, tclcl-dev, perl (>=5.003), xgraph
Standards-Version: 3.9.0
Vcs-git: git://github.com/wzssyqa/ns2-debian.git
Vcs-Browser: http://github.com/wzssyqa/ns2-debian
Homepage: http://www.isi.edu/nsnam/ns/

Package: ns2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gnuplot
Description: a discrete event simulator targeted at networking research
 Ns-2 provides substantial support for simulation of TCP, routing, 
 and multicast protocols over wired and wireless (local and satellite) 
 networks.
 Ns-2 is written in C++ and an Object oriented version of Tcl called OTcl.
 . 
 Ns began as a variant of the REAL network simulator in 1989 and has 
 evolved substantially over the past few years. In 1995 ns development 
 was supported by DARPA through the VINT project  at LBL, Xerox PARC, 
 UCB, and USC/ISI. Currently ns development is support through DARPA 
 with SAMAN  and through NSF with CONSER, both in collaboration with 
 other researchers including ACIRI. Ns has always included substantal 
 contributions from other researchers, including wireless code from the 
 UCB Daedelus and CMU Monarch projects and Sun Microsystems.

Package: ns2-doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: doc
Description: docs of ns2
 Ns-2 provides substantial support for simulation of TCP, routing, 
 and multicast protocols over wired and wireless (local and satellite) 
 networks.
 Ns-2 is written in C++ and an Object oriented version of Tcl called OTcl.
 . 
 Ns began as a variant of the REAL network simulator in 1989 and has 
 evolved substantially over the past few years. In 1995 ns development 
 was supported by DARPA through the VINT project  at LBL, Xerox PARC, 
 UCB, and USC/ISI. Currently ns development is support through DARPA 
 with SAMAN  and through NSF with CONSER, both in collaboration with 
 other researchers including ACIRI. Ns has always included substantal 
 contributions from other researchers, including wireless code from the 
 UCB Daedelus and CMU Monarch projects and Sun Microsystems.
 .
 This package contains docs of ns2

Package: ns2-examples
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: ns2
Description: examples of ns2
 Ns-2 provides substantial support for simulation of TCP, routing, 
 and multicast protocols over wired and wireless (local and satellite) 
 networks.
 Ns-2 is written in C++ and an Object oriented version of Tcl called OTcl.
 . 
 Ns began as a variant of the REAL network simulator in 1989 and has 
 evolved substantially over the past few years. In 1995 ns development 
 was supported by DARPA through the VINT project  at LBL, Xerox PARC, 
 UCB, and USC/ISI. Currently ns development is support through DARPA 
 with SAMAN  and through NSF with CONSER, both in collaboration with 
 other researchers including ACIRI. Ns has always included substantal 
 contributions from other researchers, including wireless code from the 
 UCB Daedelus and CMU Monarch projects and Sun Microsystems.
 .
 This package contains examples of ns2
