=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# in doc dir ,make will be failed.

%:
	dh  $@

# these files have something warning
override_dh_auto_clean:
	dh_auto_clean -a
	find . -name "*.o" -exec rm {} \;
	find . -name ".cvsignore" -exec rm {} \;

override_dh_auto_install:

override_dh_auto_test:
	#it takes too long time.

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.html
