=== debian/watch ===
version=3
opts="uversionmangle=s/-RC/~RC/" \
http://www.isi.edu/nsnam/dist/release/ns-(2\..*)\.tar\.gz
