## ns2 2.35~RC6

=== debian/changelog ===
ns2 (2.35~RC6-4ubuntu1) oneiric; urgency=low

  * missing-header.h: fix FTBFS (LP: #771094).

 -- Ilya Barygin <barygin@gmail.com>  Sat, 02 Jul 2011 17:20:47 +0400

ns2 (2.35~RC6-4) unstable; urgency=low

  * add DM-Upload-Allowed: yes
  * update VCS info: go to git.debian.org now.
  * workaround FTBFS on kfreebsd-* (Closes: #619684)
  	assigned it to libpcap

 -- YunQiang Su <wzssyqa@gmail.com>  Sat, 16 Apr 2011 14:56:30 +0800

ns2 (2.35~RC6-3) unstable; urgency=low

  * build nse now
  	add build dep libpcap0.8-dev 
  	and patch for  moving tclcl's headers
  * fix FTBFS for gcc 4.5 (Closes: #618105)

 -- YunQiang Su <wzssyqa@gmail.com>  Mon, 21 Mar 2011 15:56:30 +0800

ns2 (2.35~RC6-2) unstable; urgency=low

  * depends on tk-dev and tcl-dev instead 8.4 one
  * depends on libxt-dev now,fixed FTBFS (Closes: #613021) 

 -- YunQiang Su <wzssyqa@gmail.com>  Mon, 28 Feb 2011 00:26:30 +0800

ns2 (2.35~RC6-1) unstable; urgency=low

  * new upstream version.
  * bump standard to 3.9.1.

 -- YunQiang Su <wzssyqa@gmail.com>  Fri, 17 Sep 2010 14:29:37 +0800
