=== debian/control ===
--- 
+++ 
@@ -1,11 +1,15 @@
 Source: ns2
 Section: net
 Priority: optional
-Maintainer: YunQiang Su <wzssyqa@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), quilt (>= 0.46-7~), autotools-dev, tcl8.4-dev, tk8.4-dev, libxext-dev, libotcl1-dev, tclcl, tclcl-dev, perl (>=5.003), xgraph
-Standards-Version: 3.9.0
-Vcs-git: git://github.com/wzssyqa/ns2-debian.git
-Vcs-Browser: http://github.com/wzssyqa/ns2-debian
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: YunQiang Su <wzssyqa@gmail.com>
+DM-Upload-Allowed: yes
+Build-Depends: debhelper (>= 7.0.50~), quilt (>= 0.46-7~), autotools-dev, 
+		tcl-dev, tk-dev, libxext-dev, libxt-dev, xgraph, libpcap0.8-dev,
+		libotcl1-dev, tclcl, tclcl-dev (>=1.20~RC3-3), perl (>=5.003)
+Standards-Version: 3.9.1
+Vcs-git: git://git.debian.org/pkg-netsim/ns2.git
+Vcs-Browser: http://git.debian.org/?p=pkg-netsim/ns2.git
 Homepage: http://www.isi.edu/nsnam/ns/
 
 Package: ns2
