## ns2 2.35~rc10+dfsg

=== debian/changelog ===
ns2 (2.35~rc10+dfsg-1) unstable; urgency=low
  
  * New upstream RC release.
    drop ftbfs-kfreebsd-bpf.patch, ns-man-Poison-reverse,
    accept by upstream.
  * Install some useful tools in indep-utils.
      patches/install-indep-utils.diff
  * Remove an bin file from source: dfsg it.
      indep-utils/model-gen/crl_to_pcap
      indep-utils/model-gen/output_format.pdf
      indep-utils/model-gen/trace_processing.pdf
      wpan/WPAN_ZBR_pub.pdf
  * switch to team maintain.
  * chmod -x tcl/test/test-sack

 -- YunQiang Su <wzssyqa@gmail.com>  Sat, 29 Oct 2011 21:31:47 +0800

ns2 (2.35~rc9-1) unstable; urgency=low

  * New upstream release.
  * drop mac-802_11Ext_missing_cstddef.patch
    Merged into upstream.

 -- YunQiang Su <wzssyqa@gmail.com>  Mon, 24 Oct 2011 16:22:36 +0800

ns2 (2.35~RC8-1) unstable; urgency=low

  * New upstream release.
  * drop call-constructor-directly.patch, mergered into upstream.
  * fix FTBFS: expected primary-expression before 'struct'
       add debian/patches/mac-802_11Ext_missing_cstddef.patch
        (Closes: #624935).

 -- YunQiang Su <wzssyqa@gmail.com>  Wed, 10 Aug 2011 14:41:03 +0800
