=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: ns2
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: YunQiang Su <wzssyqa@gmail.com>
+Maintainer: Debian Network Simulators Team <pkg-netsim-devel@lists.alioth.debian.org>
+Uploaders: YunQiang Su <wzssyqa@gmail.com>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50~), quilt (>= 0.46-7~), autotools-dev, 
 		tcl-dev, tk-dev, libxext-dev, libxt-dev, xgraph, libpcap0.8-dev,
 		libotcl1-dev, tclcl, tclcl-dev (>=1.20~RC3-3), perl (>=5.003)
-Standards-Version: 3.9.1
-Vcs-git: git://git.debian.org/pkg-netsim/ns2.git
+Standards-Version: 3.9.2
+Vcs-git: git://git.debian.org/git/pkg-netsim/ns2.git
 Vcs-Browser: http://git.debian.org/?p=pkg-netsim/ns2.git
 Homepage: http://www.isi.edu/nsnam/ns/
 
@@ -16,8 +16,8 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: gnuplot
-Description: a discrete event simulator targeted at networking research
- Ns-2 provides substantial support for simulation of TCP, routing, 
+Description: Discrete event simulator targeted at networking research
+ Provides substantial support for simulation of TCP, routing, 
  and multicast protocols over wired and wireless (local and satellite) 
  networks.
  Ns-2 is written in C++ and an Object oriented version of Tcl called OTcl.
@@ -36,7 +36,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Section: doc
 Description: docs of ns2
- Ns-2 provides substantial support for simulation of TCP, routing, 
+ Provides substantial support for simulation of TCP, routing, 
  and multicast protocols over wired and wireless (local and satellite) 
  networks.
  Ns-2 is written in C++ and an Object oriented version of Tcl called OTcl.
@@ -57,7 +57,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: ns2
 Description: examples of ns2
- Ns-2 provides substantial support for simulation of TCP, routing, 
+ Provides substantial support for simulation of TCP, routing, 
  and multicast protocols over wired and wireless (local and satellite) 
  networks.
  Ns-2 is written in C++ and an Object oriented version of Tcl called OTcl.
