=== debian/watch ===
version=3
opts="dversionmangle=s/~rc(\d+)\+dfsg/-RC$1/" \
http://www.isi.edu/nsnam/dist/release/ns-(2\..*)\.tar\.gz
