## ns2 2.35%2Bdfsg

=== debian/changelog ===
ns2 (2.35+dfsg-9build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 26 Jan 2026 20:20:07 +0000

ns2 (2.35+dfsg-9) unstable; urgency=medium

  * Make the build reproducible. Changes:
    - debian/rules: Previous override_dh_install not worked as expected. Fixed.
      Now exclude variable data inside ns2-examples package.
    - debian/source/options: New. Ignore changes in test directory.
  * debian/control:
    - Add Suggests ns2-examples to ns2 Package.
    - Descriptions rewritten.
    - Remove cmake from Build-Depends.
    - Remove Suggests ns2 from ns2-examples Package.
  * debian/docs: Rename to "debian/ns2.docs".
  * debian/rules: override_dh_compress: Exclude also "test-all-template1".
  * debian/salsa-ci.yml: Due to very long running time add
    DEB_BUILD_OPTIONS=nocheck.
  * debian/tests/*: Create autopkgtest.
  * debian/CMakeLists: Remove directory. No longer need.
  * debian/README.Debian: Remove. No longer need.

 -- Marcos Talau <talau@debian.org>  Sun, 09 Mar 2025 17:26:35 -0300

ns2 (2.35+dfsg-8) unstable; urgency=medium

  * New maintainer (Closes: #999653).
  * debian/patches/0011-remove-check-makefile-newer.patch: Remove the
    modification time check between Makefile.in and Makefile.
  * debian/patches/0012-check-makeflags-in-distclean-recursive.patch: Check
    makeflags before running `rm` in distclean-recursive (Closes: #1046780).
  * debian/patches/0013-add-placeholders-to-flags.patch: Add placeholders to
    CFLAGS and LDFLAGS flags for hardening.
  * debian/rules:
    - Add DEB_BUILD_MAINT_OPTIONS to improve the GCC hardening.
    - Some cleanups.
  * debian/salsa-ci.yml: Add to provide CI tests for Salsa.

 -- Marcos Talau <talau@debian.org>  Mon, 24 Feb 2025 00:07:01 -0300

ns2 (2.35+dfsg-7) unstable; urgency=medium

  * QA upload.
  * Import on Salsa
  * Add patch for "Rules-Requires-Root: no" (Closes: #1089400)
  * Drop obsolete "ns2-dbg" package

 -- Alexandre Detiste <tchet@debian.org>  Mon, 09 Dec 2024 18:16:52 +0100

ns2 (2.35+dfsg-6) unstable; urgency=medium

  * QA upload.
  * debian/patches/0009-fix-build-with-gcc14.patch: Fix build with GCC 14.
    (Closes: #1075321)

 -- Marcos Talau <talau@debian.org>  Fri, 25 Oct 2024 01:12:01 -0300

ns2 (2.35+dfsg-5) unstable; urgency=medium

  * QA upload.
  * debian/rules: Add override_dh_install to make the build reproducible.
    Thanks to Chris Lamb. (Closes: #858220)
  * debian/patches/0008-fix-build-with-gcc11.patch: New. Fix FTBFS with gcc-11.
    (Closes: #984253)

 -- Marcos Talau <talau@debian.org>  Sun, 20 Nov 2022 15:30:29 -0300

ns2 (2.35+dfsg-4) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #999653)
  * debian/control: Remove Uploaders field.

 -- Marcos Talau <talau@debian.org>  Tue, 15 Nov 2022 09:51:57 -0300

ns2 (2.35+dfsg-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 01:31:56 +0100

ns2 (2.35+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Use tracker.d.o address (Closes: #899620)

 -- Aron Xu <aron@debian.org>  Sun, 05 Aug 2018 00:58:43 +0800

ns2 (2.35+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Bump debhelper compat level to 10:
    + don't automatically run dh_autoreconf, as it currently makes the package
      FTBFS.
    + dh_update_autotools_dev run is assured.  Closes: #727930
    + the install target is not parallel-safe, don't run it parallelized.
  * Drop pointless build-dependency on quilt.
  * Add patch fixing build with GCC 6.  Closes: #811808
  * Apply hints from the multiarch hinters adding M-A:foreign to -doc and
    -example and M-A:same to -dbg.
  * Add libperl4-corelibs-perl to build-dependencies, so the tests have an
    actual chance to do some good (testsuite results still being ignored).
  * Respect DEB_BUILD_OPTIONS=nocheck.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 23 Oct 2016 18:44:37 +0000

ns2 (2.35+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Remove no longer used DMUA.
  * Remove xgraph from B-D, disable the support (Closes: #768716)

 -- Aron Xu <aron@debian.org>  Sun, 09 Nov 2014 21:19:32 +0800

ns2 (2.35+dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed FTBFS after adding multiarch capabilities to Tcl/Tk.
  * Defined USE_INTERP_RESULT to quickfix FTBFS after upgrade Tcl/Tk to 8.6.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 01 Oct 2013 11:22:18 +0400

ns2 (2.35+dfsg-1) unstable; urgency=low

  * New upstream stable release.
  * add dfsg-orig tag to debian/rules.
  * add ns2-dbg package.
  * Fix FTBFS (Closes: #654261, #669431).
  * Don't compress tcl and validate files (lp: #939306)

 -- YunQiang Su <wzssyqa@gmail.com>  Sun, 03 Jun 2012 13:59:44 +0800
