## ns2 2.35+dfsg

=== debian/control ===
Source: ns2
Section: net
Priority: optional
Maintainer: Marcos Talau <talau@debian.org>
Build-Depends: debhelper (>= 10),
     tcl-dev, tk-dev, libxext-dev, libxt-dev, libpcap0.8-dev,
     libotcl1-dev, tclcl, libtclcl1-dev  (>=1.20-6~), perl (>=5.003), libperl4-corelibs-perl
Rules-Requires-Root: no
Standards-Version: 3.9.3
Vcs-Git: https://salsa.debian.org/debian/ns2.git
Vcs-Browser: https://salsa.debian.org/debian/ns2
Homepage: http://www.isi.edu/nsnam/ns/

Package: ns2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gnuplot, ns2-examples
Description: discrete event simulator targeted at networking research
 ns-2 is a discrete event-driven network simulator targeted at networking
 research. It provides substantial support for simulation of TCP, routing,
 and multicast protocols over wired and wireless (local and satellite)
 networks.
 .
 An extensible simulation engine is implemented in C++ that uses MIT's
 Object Tool Command Language, OTcl (an object oriented version of Tcl)
 as the command and configuration interface. A previous version of the
 simulator i.e. ns version 1 used the Tool Command Language, Tcl as the
 configuration language. Ns-2 still supports simulation scripts written
 in Tcl meant for the ns version 1 simulator.
 .
 The simulator is invoked via the ns interpreter, an extension of the
 vanilla otclsh command shell. A simulation is defined by a OTcl script.
 The scripts use the Simulator Class as the principal interface to the
 simulation engine. Using the methods defined in this class, a network
 topology is defined, traffic sources and sinks are configured, the
 simulation is invoked, and the statistics are collected. By building
 upon a fully functional language, arbitrary actions can be programmed
 into the configuration.
 .
 Currently, ns-2 does not have an active development, all efforts moved
 to ns-3. Ns-2 still has models not implemented in ns-3, but if a new
 user does not need them, they may consider learning and using ns-3.

Package: ns2-doc
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: doc
Description: discrete event simulator targeted at networking research (documentation)
 ns-2 is a discrete event-driven network simulator targeted at networking
 research. It provides substantial support for simulation of TCP, routing,
 and multicast protocols over wired and wireless (local and satellite)
 networks.
 .
 An extensible simulation engine is implemented in C++ that uses MIT's
 Object Tool Command Language, OTcl (an object oriented version of Tcl)
 as the command and configuration interface. A previous version of the
 simulator i.e. ns version 1 used the Tool Command Language, Tcl as the
 configuration language. Ns-2 still supports simulation scripts written
 in Tcl meant for the ns version 1 simulator.
 .
 The simulator is invoked via the ns interpreter, an extension of the
 vanilla otclsh command shell. A simulation is defined by a OTcl script.
 The scripts use the Simulator Class as the principal interface to the
 simulation engine. Using the methods defined in this class, a network
 topology is defined, traffic sources and sinks are configured, the
 simulation is invoked, and the statistics are collected. By building
 upon a fully functional language, arbitrary actions can be programmed
 into the configuration.
 .
 Currently, ns-2 does not have an active development, all efforts moved
 to ns-3. Ns-2 still has models not implemented in ns-3, but if a new
 user does not need them, they may consider learning and using ns-3.
 .
 This package contains the documentation of ns-2.

Package: ns2-examples
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: discrete event simulator targeted at networking research (examples)
 ns-2 is a discrete event-driven network simulator targeted at networking
 research. It provides substantial support for simulation of TCP, routing,
 and multicast protocols over wired and wireless (local and satellite)
 networks.
 .
 An extensible simulation engine is implemented in C++ that uses MIT's
 Object Tool Command Language, OTcl (an object oriented version of Tcl)
 as the command and configuration interface. A previous version of the
 simulator i.e. ns version 1 used the Tool Command Language, Tcl as the
 configuration language. Ns-2 still supports simulation scripts written
 in Tcl meant for the ns version 1 simulator.
 .
 The simulator is invoked via the ns interpreter, an extension of the
 vanilla otclsh command shell. A simulation is defined by a OTcl script.
 The scripts use the Simulator Class as the principal interface to the
 simulation engine. Using the methods defined in this class, a network
 topology is defined, traffic sources and sinks are configured, the
 simulation is invoked, and the statistics are collected. By building
 upon a fully functional language, arbitrary actions can be programmed
 into the configuration.
 .
 Currently, ns-2 does not have an active development, all efforts moved
 to ns-3. Ns-2 still has models not implemented in ns-3, but if a new
 user does not need them, they may consider learning and using ns-3.
 .
 This package contains the examples of ns-2.
