=== debian/tests/control ===
Test-Command: cat debian/tests/data/out.tr | md5sum > $AUTOPKGTEST_TMP/out.tr.md5sum;
              cp debian/tests/tcl/* $AUTOPKGTEST_TMP;
              cd $AUTOPKGTEST_TMP;
              ns simple-simul.tcl;
              cat out.tr | md5sum -c out.tr.md5sum
Restrictions: allow-stderr
